Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LogStreamFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LogStream
it.tdlight.jni.TdApi.LogStreamFile

Enclosing class:
  TdApi

public static final class TdApi.LogStreamFile extends TdApi.LogStream
The log is written to a file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`maxFileSize`
The maximum size of the file to where the internal TDLib log is written before the file will be auto-rotated, in bytes.
`String`
`path`
Path to the file to where the internal TDLib log will be written.
`boolean`
`redirectStderr`
Pass true to additionally redirect stderr to the log file.

## Constructor Summary

Constructors
Constructor
Description
`LogStreamFile()`
The log is written to a file.
`LogStreamFile(DataInput input)`
The log is written to a file.
`LogStreamFile(String path, long maxFileSize, boolean redirectStderr)`
The log is written to a file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### path

public String path
Path to the file to where the internal TDLib log will be written.

### maxFileSize

public long maxFileSize
The maximum size of the file to where the internal TDLib log is written before the file will be auto-rotated, in bytes.

### redirectStderr

public boolean redirectStderr
Pass true to additionally redirect stderr to the log file. Ignored on Windows.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### LogStreamFile

public LogStreamFile()
The log is written to a file.

### LogStreamFile

public LogStreamFile(String path, long maxFileSize, boolean redirectStderr)
The log is written to a file.

Parameters:
  `path` - String Path to the file to where the internal TDLib log will be written.
  `maxFileSize` - long The maximum size of the file to where the internal TDLib log is written before the file will be auto-rotated, in bytes.
  `redirectStderr` - boolean Pass true to additionally redirect stderr to the log file. Ignored on Windows.

### LogStreamFile

public LogStreamFile(DataInput input) throws IOException
The log is written to a file.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`